Loading...
Searching...
No Matches
L4::Type_info::Demand Class Reference

Data type for expressing the needed receive buffers at the server-side of an interface. More...

`#include <l4/sys/capability>`

Inheritance diagram for L4::Type_info::Demand:
Collaboration diagram for L4::Type_info::Demand:

## Public Member Functions

| Demand (unsigned char caps=0, unsigned char flags=0, unsigned char mem=0, unsigned char ports=0) noexcept
| Make Demand object.
bool | no_demand () const noexcept
Demand | operator| (Demand const &rhs) const noexcept
| get the combined demand of this and rhs

## Data Fields

unsigned char | caps
| number of capability receive buffers.
unsigned char | flags
| flags, such as the need for timeouts (TBD).
unsigned char | mem
| number of memory receive buffers.
unsigned char | ports
| number of IO-port receive buffers.

## Detailed Description

Data type for expressing the needed receive buffers at the server-side of an interface.

Definition at line 506 of file __typeinfo.h.

## Constructor & Destructor Documentation

## Demand()

L4::Type_info::Demand::Demand | ( | unsigned char | caps = 0,
|  | unsigned char | flags = 0,
|  | unsigned char | mem = 0,
|  | unsigned char | ports = 0 )

inlineexplicitnoexcept

Make Demand object.

Parameters

  caps | number of capability receive buffers
  flags | flags, such as the need for timeouts (TBD).
  mem | number of memory receive windows.
  ports | number of IO-port receive windows.

Definition at line 527 of file __typeinfo.h.

References caps, flags, mem, and ports.

Referenced by operator|().

Here is the caller graph for this function:

## Member Function Documentation

## no_demand()

bool L4::Type_info::Demand::no_demand | ( |  | ) | const

inlinenoexcept

Returns
  true if there is no demand at all

Definition at line 532 of file __typeinfo.h.

References caps, flags, mem, and ports.

Referenced by L4::Ipc_svr::Br_manager_no_buffers::alloc_buffer_demand().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- l4/sys/__typeinfo.h